# readynas-resurecction

This document describes the attempt at resuscitation of a ReadyNAS NV+v2.

This device is not booting but power is present wherever we tested. The most likely explanation
for it not booting is that the SPI flash containing the BIOS is faulty.

As the SOC is produced by Marvell and they advertise a UARTBoot mode which is simply triggered
by an handshake there is still hope to confirm it's just a bad BIOS.

Starting from a firmware update image we have reversed what was possible using binwalk. Then after
binwalk had done its job we were left with binaries for u-boot, initrd and kernel.

The image for the UARTBoot is created using mkimage and a board configuration which was sourced
by the chromium project and most likely is not for the board we have.

Once the image has been created we can UARTBoot using the kwboot tool.
